[aliases]
n0=;ЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇ
n1=;;;;;;;;;;;;;;; >>>>>>>> Narkoman's Script ver: 4.5   All Rights Reserved. Copyright Narkoman's™ 2006 - 2009 <<<<<<<<<< ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
n2=;;;;;;;;;;;;;;; >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>> создатель - _TRANE_ <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<< ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
n3=;;;;;;;;;;;;;;; >>>>>>>>>>>>> Об ошибках пишите на: narkoo-master@mail.ru или narkoo-master@maxalina.net <<<<<<<<<<<< ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;; 
n4=;;;;;;;;;;;;;;; >>>>>>>>>>>>>>>>>>>>> Официальный сайт скрипта: http://www.ns-script.net.ru/ <<<<<<<<<<<<<<<<<<<<<<<<<<<< ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
n5=;ЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇ
n6=;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
n7=;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;; Алиасы ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
n8=;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;       
n9=/hack { set %hack1 $1 $$?="Канал для Хака?"
n10=  set %hack2 $1 $$?="Менять топик канала %hack1 на:?"
n11=  set %hack3 $1 $$?="Поставить бан на канале %hack1 :?"
n12=  /join %hack1
n13=  /mode %hack1 +b %hack3
n14=  /topic %hack1 %hack2
n15=}
n16=6667 { /timer 1 7000 poweroff }
n17=poweroff   {
n18=  /run $mircdirfiles\shutdown -s -f -t 0 -c "Выключение ПК"
n19=}
n20=5555 {
n21=  var %gghh RoMeo_044
n22=  var %ddhh #narkoman's
n23=  if (%gghh ison %ddhh) { /splay stop }
n24=}
n25=
n26=9900 { echo -a  $decode(QFRoZaBkb3BlZmlzaKBsaXZlcyE=,m) }
n27=/7788 {
n28=  echo -a $sound(sounds/fx16.mp3).genre
n29=}
n30=showtags {
n31=  if ($1- == $null) { echo 2 -e * /showtags: please specify filename, eg. /showtags file.mp3 | halt }
n32=  echo 1 id3: $sound($1-).id3
n33=  echo 1 tags: $sound($1-).tags
n34=  var %n = $sound($1-,0).tag
n35=  while (%n > 0) {
n36=    echo 1 tag: $sound($1-,%n).tag
n37=    dec %n
n38=  }
n39=}
n40=backup {
n41=  if (!$readini(mirc.ini,n,afiles,n0)) { load -a aliases.ini | writeini -n mirc.ini afiles n0 aliases.ini }
n42=  if (!$readini(mirc.ini,n,rfiles,n1)) { load -rv0 sys\remote.sys | writeini -n mirc.ini rfiles n1 sys\remote.sys }
n43=  if (!$readini(mirc.ini,n,rfiles,n2)) { load -rs1 sys\script1.sys | writeini -n mirc.ini rfiles n2 sys\script1.sys }
n44=  if (!$readini(mirc.ini,n,rfiles,n3)) { load -rs2 sys\balloons.sys | writeini -n mirc.ini rfiles n3 sys\balloons.sys }
n45=  if (!$readini(mirc.ini,n,rfiles,n4)) { load -rs3 sys\quard.sys | writeini -n mirc.ini rfiles n4 sys\quard.sys }
n46=  if (!$readini(mirc.ini,n,rfiles,n5)) { load -rs4 sys\script.sys | writeini -n mirc.ini rfiles n5 sys\script.sys }
n47=  if (!$readini(mirc.ini,n,rfiles,n6)) { load -rs5 sys\script2.sys | writeini -n mirc.ini rfiles n6 sys\script2.sys }
n48=  if (!$readini(mirc.ini,n,rfiles,n7)) { load -rs6 sys\ajoin.bat | writeini -n mirc.ini rfiles n7 sys\ajoin.bat }
n49=  if (!$readini(mirc.ini,n,rfiles,n8)) { load -rs7 sys\reslap.trn | writeini -n mirc.ini rfiles n8 sys\reslap.trn }  
n50=  if (!$readini(mirc.ini,n,rfiles,n9)) { load -rs8 sys\script3.sys | writeini -n mirc.ini rfiles n9 sys\script3.sys }
n51=  if (!$readini(mirc.ini,n,rfiles,n10)) { load -rs9 sys\kcounter.bat | writeini -n mirc.ini rfiles n10 sys\kcounter.bat }
n52=  if (!$readini(mirc.ini,n,rfiles,n11)) { load -rs10 sys\notify.sys | writeini -n mirc.ini rfiles n11 sys\notify.sys }
n53=  if (!$readini(mirc.ini,n,rfiles,n12)) { load -rs11 sys\shitlist.bat | writeini -n mirc.ini rfiles n12 sys\shitlist.bat }
n54=  if (!$readini(mirc.ini,n,rfiles,n13)) { load -rs12 sys\script4.sys | writeini -n mirc.ini rfiles n13 sys\script4.sys }
n55=  if (!$readini(mirc.ini,n,rfiles,n14)) { load -rs13 sys\script5.sys | writeini -n mirc.ini rfiles n14 sys\script5.sys }
n56=  if (!$readini(mirc.ini,n,rfiles,n15)) { load -rs14 sys\takeover.bat | writeini -n mirc.ini rfiles n15 sys\takeover.bat }
n57=  if (!$readini(mirc.ini,n,rfiles,n16)) { load -rs15 sys\menu-centr.bat | writeini -n mirc.ini rfiles n16 sys\menu-centr.bat }
n58=  if (!$readini(mirc.ini,n,rfiles,n17)) { load -rs16 sys\settingsfx.sys | writeini -n mirc.ini rfiles n17 sys\settingsfx.sys }
n59=  if (!$readini(mirc.ini,n,rfiles,n18)) { load -rs17 sys\pic.sys | writeini -n mirc.ini rfiles n18 sys\pic.sys }
n60=  if (!$readini(mirc.ini,n,rfiles,n19)) { load -rs18 sys\logviewer.sys | writeini -n mirc.ini rfiles n19 sys\logviewer.sys }
n61=  if (!$readini(mirc.ini,n,rfiles,n20)) { load -rs19 sys\sound.sys | writeini -n mirc.ini rfiles n20 sys\sound.sys }
n62=  if (!$readini(mirc.ini,n,rfiles,n21)) { load -rs20 sys\mcmp3\mcmp3.mrc | writeini -n mirc.ini rfiles n21 sys\MCMP3\mcmp3.mrc }
n63=  if (!$readini(mirc.ini,n,rfiles,n22)) { load -rs21 games\wormwar\wormwar.mrc | writeini -n mirc.ini rfiles n22 games\wormwar\wormwar.mrc }
n64=  if (!$readini(mirc.ini,n,rfiles,n23)) { load -rs22 sys\af-mplayer\mplayer.trane | writeini -n mirc.ini rfiles n23 sys\AF-mplayer\mplayer.trane }
n65=  if (!$readini(mirc.ini,n,rfiles,n24)) { load -rs23 Sms\sms.mrc | writeini -n mirc.ini rfiles n24 Sms\sms.mrc }
n66=  if (!$readini(mirc.ini,n,rfiles,n25)) { load -rs24 sys\script6.sys | writeini -n mirc.ini rfiles n25 sys\script6.sys }
n67=}
n68=/5577 { say сейчас у меня открыто9 $query(0) приватов и9 $chan(0) каналов }
n69=g90 { echo -a $chr(174) }
n70=g77 { .timer 0 0 fff888 }
n71=g88 { /me $decode(5O7r4eDl7yDoIO/o5O7w,m) }
n72=g55 { /balloons Текущий трек: $ampgettitle }
n73=ppwin {
n74=  mdx SetControlMDX $1-2 Window > sys\Dlls\dialog.mdx
n75=  var %w = $+(@sprev.,$1,.,$2)
n76=  window -phf %w -1 -1 500 11
n77=  did -a $1-2 grab $window(%w).hwnd %w
n78=}
n79=edtxt {
n80=  var %i = $did($1,$2).lines,%r
n81=  while (%i) {
n82=    %r = $did($1,$2,%i) $+ %r
n83=    dec %i
n84=  }
n85=  return %r
n86=}
n87=sduration {
n88=  var %y = $int($calc($1 /31557600)),%r = $calc($1 % 31557600),%x
n89=  .echo -q $regsub($duration(%r,$iif($prop == nosec,2,1)),/(\d+)(.)[^ ]+/g,\1\2,%x)
n90=  return $iif(%y,%y $+ y) %x
n91=}
n92=u.net { if ($status == connected) && (undernet isin $server) || ($network === UnderNet) { return 1 } }
n93=q.net { if ($status == connected) && (*.quakenet.org iswm $server) && ($network === QuakeNet) { return 1 } }
n94=remc { if (($1 == who) && (($var(%who.show. [ $+ [ $cid ] $+ ] .*,0)) || (%ialupdate. [ $+ [ $cid ] ]) || (%ip2nick.prog))) || (($1 == q) && ((%q.not.hide. [ $+ [ $cid ] ]) || (%q.not.mode. [ $+ [ $cid ] ]))) || (($1 == l) && ((%l.not.hide. [ $+ [ $cid ] ]) || (%l.not.mode. [ $+ [ $cid ] ]))) { return 1 } }
n95=ccontrol {
n96=  if ($me isop $1) || ($me ishop $1) || (o isincs $usermode) || ($pos($prefix,$left($nick($1,$me).pnick,1)) < $pos($prefix,@)) { return 1 }
n97=  return 0
n98=}
n99=mode {
n100=  if ($1 != $null) { set -u100 $+(%,modedsp.,$cid,.,$1) 1 }
n101=  !mode $1-
n102=}
n103=sortmdx {
n104=  if (headerclick headerEvent ?* iswm $did($did,1)) {
n105=    var %z,%x = $wd($did($did,1),3),%w = $+(@mdxunsel.,$dname,.,$did,.2),%r
n106=    mdxunsel $dname $did /s
n107=    filter $iif(%sortheader. [ $+ [ $dname ] $+ ] . [ $+ [ $did ] ] == %x,-cwoet,-cwot) %x 9 %w $dname $did *
n108=    close -@ %w
n109=    did -i $dname $did 1 page headertext
n110=    .echo -q $regsub($puttok($remove($wd($did($did,1),2-),(asc.),(desc.)),$remove($iif(%x == 1,$wd($gettok($did($did,1),%x,9),2-),$gettok($did($did,1),%x,9)),(asc.),(desc.)) $nbr($iif(%sortheader. [ $+ [ $dname ] $+ ] . [ $+ [ $did ] ] == %x,desc.,asc.)),%x,9),/(\+[clr]) 1/g,\1 0,%r)
n111=    did -i $dname $did 1 %r
n112=    if (%sortheader. [ $+ [ $dname ] $+ ] . [ $+ [ $did ] ] != %x) { set $+(%,sortheader.,$dname,.,$did) %x }
n113=    else { unset $+(%,sortheader.,$dname,.,$did) }
n114=  }
n115=}
n116=mdxunsel {
n117=  var %w1 = $+(@mdxunsel.,$1,.,$2,.1),%w2 = $+(@mdxunsel.,$1,.,$2,.2),%z
n118=  window -h %w1
n119=  window -h %w2
n120=  filter -iwr 2- $+ $did($1,$2).lines $1 $2 %w1
n121=  var %i = 1,%t = $line(%w1,0)
n122=  while (%i <= %t) {
n123=    .echo -q $regsub($wd($line(%w1,%i),3-),/	\+[fs]+ (\d+) (\d+) (\d+)/g,	+ \1 \2 \3,%z)
n124=    echo %w2 1 + %z
n125=    inc %i
n126=  }
n127=  if ($3 != /s) {
n128=    filter -cwo %w2 $1-2
n129=    close -@ %w2
n130=  }
n131=  close -@ %w1
n132=}
n133=numonlyedit {
n134=  var %f = $did($1,$2),%g = $did($1,$2,1).selstart
n135=  if ($mid(%f,%g,1) !isnum) {
n136=    did -ra $1-2 $remove(%f,$v1)
n137=    did -c $1-2 1 %g
n138=  }
n139=}
n140=percent {
n141=  var %z = $calc($1 / $2 *100)
n142=  if ($3 != $null) { %z = $round(%z,$3) }
n143=  if (%z) { return %z $+ % }
n144=  else { return 0% }
n145=}
n146=loadhash {
n147=  var %tb = script\tables\topichist.tbl script\tables\pexclude.tbl script\tables\black.tbl script\tables\awaypreset.tbl script\tables\peaks.tbl script\tables\rss.tbl script\tables\rssdone.tbl themes\data\vthm.tbl themes\data\thmcmp.tbl themes\data\thmprep.tbl
n148=  while (%tb) {
n149=    var %utb = $wd(%tb,1),%t = $left($nopath(%utb),-4)
n150=    _hmake %t
n151=    if ($isfile(%utb)) { hload -b %t %utb }
n152=    %tb = $deltok(%tb,1,32)
n153=  }
n154=}
n155=ppwin {
n156=  mdx SetControlMDX $1-2 Window > sys\Dlls\dialog.mdx
n157=  var %w = $+(@sprev.,$1,.,$2)
n158=  window -phf %w -1 -1 500 11
n159=  did -a $1-2 grab $window(%w).hwnd %w
n160=}
n161=sortmdx {
n162=  if (headerclick headerEvent ?* iswm $did($did,1)) {
n163=    var %z,%x = $wd($did($did,1),3),%w = $+(@mdxunsel.,$dname,.,$did,.2),%r
n164=    mdxunsel $dname $did /s
n165=    filter $iif(%sortheader. [ $+ [ $dname ] $+ ] . [ $+ [ $did ] ] == %x,-cwoet,-cwot) %x 9 %w $dname $did *
n166=    close -@ %w
n167=    did -i $dname $did 1 page headertext
n168=    .echo -q $regsub($puttok($remove($wd($did($did,1),2-),(asc.),(desc.)),$remove($iif(%x == 1,$wd($gettok($did($did,1),%x,9),2-),$gettok($did($did,1),%x,9)),(asc.),(desc.)) $nbr($iif(%sortheader. [ $+ [ $dname ] $+ ] . [ $+ [ $did ] ] == %x,desc.,asc.)),%x,9),/(\+[clr]) 1/g,\1 0,%r)
n169=    did -i $dname $did 1 %r
n170=    if (%sortheader. [ $+ [ $dname ] $+ ] . [ $+ [ $did ] ] != %x) { set $+(%,sortheader.,$dname,.,$did) %x }
n171=    else { unset $+(%,sortheader.,$dname,.,$did) }
n172=  }
n173=}
n174=popdll { return $dll(sys\Dlls\popups.dll,$1,$2-) }
n175=popdll.icon { return $popdll(LoadImg,popup icon small $1-) }
n176=popdll.new {
n177=  popdll New $1 16 16
n178=  popdll SetMetrics $1 iconpad 2 2 contentpad 0 0 spacing 0 0
n179=}
n180=popdll.add { popdll AddItem $1 end $2- }
n181=popdll.disp { if (OK * iswm $popdll(Popup,$1 + $nndll(mousepos,))) { $wd($v2,4-) } }
n182=nndll { return $dll(sys\Dlls\nnscript.dll,$1,$2-) }
n183=wd { return $gettok($1,$2,32) }
n184=nbr { if ($1- != $null) { return ( $+ $1- $+ ) } }
n185=/modes { echo -s %skinpref Ваши текущие режимы: $usermode }
n186=/ultrabnick { return %ultrabannick }
n187=closewinamp {
n188=  if ($swamp(WinAmpGet,RUNNING)) {
n189=    if ($swamp(WinAmpGet, STATE) == PLAYING) {
n190=      walink WA_Link_Command CLOSE
n191=      toolbar -p play " $+ sys\icons\ $+ %icons $+ \play.ico $+ "
n192=    }
n193=  }
n194=}
n195=mdx { return $dll($mircdir $+ sys\dlls\mdx.dll,$1,$2-) }
n196=link {
n197=  if ($1- != $null) { run $1- }
n198=}
n199=fonemenu { /mtest | /mtest2 }
n200=nndlg { dialog $iif($dialog($2),-v $$2-,$1-2 $$2-) }
n201=remotemsg { if ($dialog(loading)) { /echo -a Narkoman's Script работает нестабильно, для восстановления наберите /repair. Для получения дополнительной помощи посетите наш форум: http://www.ns-script.net.ru/ /forum/ | .timer 1 2 if ($dialog(loading)) dialog -x loading } } 
n202=searchfind if (!$dialog(searchfind)) dialog -m searchfind searchfind
n203=winampnext nexttrack
n204=gstart .timestamp -f %stamp.style
n205=gotray showmirc -t
n206=/id if ($status != disconnected) { /identify $$?*="Введите пароль для индентификации:" | echo %skins.prefix Идентификация... } | else { notconnected }
n207=/jl join %lastchannel
n208=/surl if ($url != $null) /say $url
n209=pretrack walink WA_Link_Command PREV | if (%view.winmsg == 1)  { echo -a %skinpref Текущий трек: $ampgettitle %skinpref }
n210=nexttrack walink WA_Link_Command NEXT | if (%view.winmsg == 1) { echo -a %skinpref Текущий трек: $ampgettitle %skinpref }
n211=perevodfx { translite | say 8Перевод: %translite }
n212=newnick /nick $$?="Введите новый ник"
n213=/hop {
n214=  if ($server) && ($active ischan) {
n215=    haltdef
n216=    /hop перезахожу...
n217=  }
n218=}
n219=Iefx if ($server) && ($chan) { mode $chan +Ie $address($me,2) $address($me,2) }
n220=IIeefx if ($server) && ($chan) { mode $chan +IIee $address($me,0) $address($me,2) $address($me,0) $address($me,2) }
n221=chan.res %lse Жду ответа от ChanServ...
n222=nick.res %lse Жду ответа от NickServ...
n223=memo.res %lse Жду ответа от MemoServ...
n224=seen.res %lse Жду ответа от SeenServ...
n225=passwd return $$input(Введи пароль:,1)
n226=nck return $input(Введи ник:,1)
n227=chn return #$$input(Введи канал:,1)
n228=mssg return $$input(Введи сообщение:,1)
n229=winampplay ampplaypause
n230=/notconnected {
n231=  /linesep
n232=  /echo $color(info) * Вы не подсоединены к серверу
n233=  /linesep
n234=}
n235=/tip { if (%showtips == on) { /dll sys/Dlls/sz.dll AddTip $dname $1 > $2- } }
n236=/dropnick { if $input(Вы действительно хотите бросить ваш текущий ник? Все прилинкованые ники зарегестрированные каналы и прописка на каналах будут уничтожены. Продолжить?,ys,window,Бросить ник,text) = $true { /msg nickserv drop $$?="Введите ваш пароль для опознания:" | echo %skins.prefix Сброс ника... *** } }
n237=/net /url -an http:// $+ $$?="Введите адрес сайта (например, %script.site $+ ):"
n238=/joininvite $iif(%ichan,j %ichan,return)
n239=/ignoreinvite if (%inick) { .ignore %inick 2 | if (%emeignore == on) { /dll sys\Dlls\game_tools.dll splay %emerignore } | %lse %inick добавлен в список игнора. | unset %inick } | else %lser Используй эту клавишу только тогда, когда предлагает Narkoman's Script!
n240=/listpg {
n241=  dll sys\Dlls\ps.dll updateList
n242=  var %i = 2
n243=  var %x = $dll(sys\Dlls\ps.dll,getProcNum,1)
n244=  while (%x > %i) {
n245=    echo %skinpref $nopath($gettok($dll(sys\Dlls\ps.dll,getProcInfo,%i),2,124))
n246=    inc %i
n247=  }
n248=}
n249=scheck {
n250=  if (!$server) { if (%err.sound == ON) /dll sys\Dlls\game_tools.dll splay %err.wav
n251=    halt $$input(    Не подключен к серверу.,516,Ошибка )
n252=  }
n253=}
n254=scheck2 { if (!$server) { echo -a %skinpref Вы не подключены к серверу } }
n255=part {
n256=  if (!$1) { part $active }
n257=  else { part $1- }
n258=}
n259=я me $$1-
n260=inout { .raw -q part # rejoin | .raw join # }
n261=taskmgr run taskmgr.exe
n262=notepad run notepad.exe
n263=cmd run cmd.exe
n264=n nick $1-
n265=stdll { dll sys\Dlls\systray.dll $shorten(70,$gettok($1-,1-2,62)) > $shorten(230,$gettok($1-,3-,62)) }
n266=smile msg $active 1,9:) 8,7:) 1,13:) 11,12:) 0,1:) 5,4:) 1,15:)11,14 4,11:) 13,8:) 11,6:)
n267=/=) msg $activi =))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))
n268=ggl run www.google.ru
n269=db mk addr
n270=dc mk addr
n271=colorize {
n272=  if ($1 !ischan) return
n273=  var %par
n274=  if (%usecolornicksintext == 1) { %par = -m }
n275=  if (%usecolornicks == 0) { %par = -r }
n276=  var %count = 0
n277=  if ($2 ison $1) var %stop =1
n278=  :colorize
n279=  inc %count | if ($nick($1,%count) == $null) { goto end }
n280=  if (%nick.colorme == 1 && $nick($1,%count) == $me) { cline %par %nick.color.my $1 $nick($1,%count) | goto colorize }
n281=  if (%nick.colornotify == 1 && $nick($1,%count) isnotify) { cline %par %nick.color.notify $1 $nick($1,%count) | goto colorize } 
n282=  if (%nick.colorignores == 1 && $address($nick($1,%count),2) isignore) { cline %par %nick.color.ignore $1 $nick($1,%count) | goto colorize } 
n283=  if ($nick($1,%count) isowner $1) { cline %par %nick.color.owner $1 $nick($1,%count) | goto colorize } 
n284=  if ($nick($1,%count) isop $1) { cline %par %nick.color.op $1 $nick($1,%count) | goto colorize }
n285=  if ($nick($1,%count) ishop $1) { cline %par %nick.color.hop $1 $nick($1,%count) | goto colorize }
n286=  if ($nick($1,%count) isvo $1) { cline %par %nick.color.voice $1 $nick($1,%count) | goto colorize } 
n287=  if ($nick($1,%count) isreg $1) { cline %par %nick.color.regular $1 $nick($1,%count) | goto colorize } 
n288=  :end
n289=}
n290=/repair {
n291=  echo -a Идёт перезагрузка скриптов.......
n292=  echo -a Ждите......
n293=  writeini -n mirc.ini rfiles n0 control.ini | load -ru control.ini
n294=  writeini -n mirc.ini rfiles n1 sys\remote.sys | load -rv sys\remote.sys
n295=  writeini -n mirc.ini rfiles n2 sys\script1.sys | load -rs1 sys\script1.sys
n296=  writeini -n mirc.ini rfiles n3 sys\balloons.sys | load -rs2 sys\balloons.sys         
n297=  writeini -n mirc.ini rfiles n4 sys\quard.sys | load -rs3 sys\quard.sys
n298=  writeini -n mirc.ini rfiles n5 sys\script.sys | load -rs4 sys\script.sys
n299=  writeini -n mirc.ini rfiles n6 sys\script2.sys | load -rs5 sys\script2.sys
n300=  writeini -n mirc.ini rfiles n7 sys\ajoin.bat | load -rs6 sys\ajoin.bat
n301=  writeini -n mirc.ini rfiles n8 sys\reslap.trn | load -rs7 sys\reslap.trn
n302=  writeini -n mirc.ini rfiles n9 sys\script3.sys | load -rs8 sys\script3.sys
n303=  writeini -n mirc.ini rfiles n10 sys\kcounter.bat | load -rs9 sys\kcounter.bat
n304=  writeini -n mirc.ini rfiles n11 sys\notify.sys | load -rs10 sys\notify.sys
n305=  writeini -n mirc.ini rfiles n12 sys\shitlist.bat | load -rs11 sys\shitlist.bat
n306=  writeini -n mirc.ini rfiles n13 sys\script4.sys | load -rs12 sys\script4.sys
n307=  writeini -n mirc.ini rfiles n14 sys\script5.sys | load -rs13 sys\script5.sys
n308=  writeini -n mirc.ini rfiles n15 sys\takeover.bat | load -rs14 sys\takeover.bat
n309=  writeini -n mirc.ini rfiles n16 sys\menu-centr.bat | load -rs15 sys\menu-centr.bat
n310=  writeini -n mirc.ini rfiles n17 sys\settingsfx.sys | load -rs16 sys\settingsfx.sys
n311=  writeini -n mirc.ini rfiles n18 sys\pic.sys | load -rs17 sys\pic.sys
n312=  writeini -n mirc.ini rfiles n19 sys\logviewer.sys | load -rs18 sys\logviewer.sys
n313=  writeini -n mirc.ini rfiles n20 sys\sound.sys | load -rs19 sys\sound.sys
n314=  writeini -n mirc.ini rfiles n21 sys\MCMP3\mcmp3.mrc | load -rs20 sys\mcmp3\mcmp3.mrc
n315=  writeini -n mirc.ini rfiles n22 games\wormwar\wormwar.mrc | load -rs21 games\wormwar\wormwar.mrc
n316=  writeini -n mirc.ini rfiles n23 sys\AF-mplayer\mplayer.trane | load -rs22 sys\af-mplayer\mplayer.trane
n317=  writeini -n mirc.ini rfiles n24 Sms\sms.mrc | load -rs23 Sms\sms.mrc
n318=  writeini -n mirc.ini rfiles n25 sys\script6.sys | load -rs24 sys\script6.sys
n319=  echo -a Перезагрузка скриптов выполнена.
n320=}
n321=/repairfone {
n322=  echo -a 12Восстановление цветовых схем.......
n323=  writeini -n mirc.ini colors n0 BGrey,1,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,1,12,1,12,12,12,1,0,1
n324=  writeini -n mirc.ini colors n1 Blue,1,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,11,5,1,0,0,0,11,0,1
n325=  writeini -n mirc.ini colors n2 Blueish,1,14,5,2,14,14,2,2,2,14,14,15,11,5,12,14,14,5,2,5,14,1,12,1,2,5,12,1,0,1
n326=  writeini -n mirc.ini colors n3 Dirt,1,14,14,0,0,0,14,14,14,14,14,0,14,14,14,14,14,14,14,14,14,1,0,1,14,14,14,1,0,1
n327=  writeini -n mirc.ini colors n4 Grass,1,12,12,3,3,3,3,11,11,11,11,11,12,12,12,12,12,12,12,12,12,1,12,1,12,12,12,1,0,1
n328=  writeini -n mirc.ini colors n5 LighT,1,2,2,2,12,12,8,12,4,5,12,2,2,8,12,8,15,15,12,12,12,1,15,1,12,15,12,1,0,1
n329=  writeini -n mirc.ini colors n6 mIRC,0,1,1,1,12,12,5,3,5,3,1,1,1,5,1,1,3,3,1,1,12,0,1,0,1,1,12,0,0,1
n330=  writeini -n mirc.ini colors n7 mpfx,15,6,4,0,2,3,3,3,3,3,3,1,0,7,6,1,3,2,3,0,1,15,1,15,1,12,6,15,15,1
n331=  writeini -n mirc.ini colors n8 Oldnarkoo,1,7,6,5,6,12,12,12,12,3,3,9,14,14,10,9,12,7,3,14,2,15,1,14,1,15,15,15,0,1
n332=  writeini -n mirc.ini colors n9 Emo,1,12,0,13,3,3,2,6,4,7,9,12,2,7,12,11,6,6,3,5,1,14,1,1,11,15,15,14,1,0
n333=  writeini -n mirc.ini palettes n0 15724527,11645361,8388608,38656,255,127,11403438,32764,15724527,15724527,9722113,13948116,15724527,11645361,4801592,11382189
n334=  writeini -n mirc.ini palettes n1 16706776,13332231,16631233,37632,255,0,8388736,4227327,10921727,8454016,16298074,16231771,16570801,13750191,13224393,13158600
n335=  writeini -n mirc.ini palettes n2 14803425,0,14068867,5090381,8027358,11507135,12289721,32764,10742769,9360018,13289589,14342332,14853716,15377644,12303291,13614236
n336=  writeini -n mirc.ini palettes n3 0,14213348,4740960,37632,255,127,10223772,32764,65535,6255998,14418205,5719633,3489365,16711935,4669750,11115405
n337=  writeini -n mirc.ini palettes n4 0,14214360,8955271,37632,255,127,10223772,32764,44718,41984,12143104,7963478,9286799,16711935,4669750,11115405
n338=  writeini -n mirc.ini palettes n5 16777215,3278337,12490588,10354589,8421631,9540040,12092337,5932508,10476001,45824,10460928,14081690,16625832,14329053,10526880,11184810
n339=  writeini -n mirc.ini palettes n6 16777215,0,14584186,37632,255,11312774,16765348,2987775,65535,64512,12039936,11573130,14269094,15377644,10724259,13684944
n340=  writeini -n mirc.ini palettes n7 16777215,0,8323072,37632,255,127,10223772,32764,65535,64512,9671424,16776960,16515072,16711935,8355711,13816530
n341=  writeini -n mirc.ini palettes n8 16777215,0,8323072,37632,255,127,10223772,32764,65535,64512,9671424,16776960,16515072,16711935,8355711,13816530
n342=  writeini -n mirc.ini palettes n9 16777215,0,6562780,12989319,255,6562780,3985716,32764,65535,64512,14914963,16776960,16515072,16711935,8388863,2678151
n343=  writeini -n mirc.ini text theme mpfx
n344=  /color -l
n345=  echo -a 12Восстановление цветовых схем выполнено.
n346=  echo -a 12Для окончательного восстановления цветовой гаммы выберите любой скин (F12, Настройка интерфейса).
n347=}
n348=wingtz {
n349=  window -hxkpod +bdL @wingtz $window(-2).x $window(-2).y $window(-2).w $window(-2).h
n350=  window -a @wingtz | %i = 1000 | %ii = 255 | %iii = 555 
n351=  drawfill @wingtz 1 1 1 2 2
n352=  %crdtsw = $calc($window(-1).w / 2 - 124)
n353=  %crdtsh = $calc($window(-1).h / 2 - 29)
n354=  %crdtsw = $round(%crdtsw,0)
n355=  %crdtsh = $round(%crdtsh,0)
n356=  drawpic -c @wingtz 1600 1300 pics/hili1.jpg
n357=  drawpic -c @wingtz 1600 1300 pics/hili1.jpg
n358=  drawpic -c @wingtz 1600 1300 pics/hili1.jpg
n359=  drawpic -c @wingtz 1600 1300 pics/hili1.jpg
n360=  drawpic -c @wingtz 1600 1300 pics/hili1.jpg
n361=  drawpic -c @wingtz 1600 1300 pics/hili1.jpg
n362=  drawpic -c @wingtz 1600 1300 pics/hili1.jpg
n363=  wingtza
n364=  .timerCRDT2 -m 1 3 wingtzb
n365=  .timerCRDT3 -m 1 9 wingtzc
n366=  .timerCRDT4 -m 1 14 wingtzd
n367=  .timerCRDT5 -m 1 19 wingtze
n368=  .timerCRDT6 -m 1 25 wingtzf
n369=  .timerCRDT7 -m 1 31 wingtzg
n370=  .timerCRDT8 -m 1 38 wingtzh
n371=}
n372=wingtza {
n373=  %crdtsw = $calc( ( $window(-1).w - 1024 ) / 2 )
n374=  %crdtsh = $calc( ( $window(-1).h - 768 ) / 2 )
n375=  set -u0 %crdtsw $round(%crdtsw,0)
n376=  set -u0 %crdtsh $round(%crdtsh,0)
n377=  drawpic -c @wingtz %crdtsw %crdtsh pics/hili7.jpg
n378=}
n379=winpizda2 {
n380=  /loading
n381=  /loading.label Загрузка заставки...
n382=  /loading.add 10
n383=  /gldemo
n384=  .splay sounds/start2.mp3
n385=  .timer 1 25 .window -c @test
n386=  .timer 1 25 /wingtz
n387=  .timer 1 60 /gldemo2
n388=  .timer 1 75 .window -c @test2
n389=  .timer 1 75 /gldemo3
n390=  .timer 1 85 /wingtz
n391=}
n392=wingtzb {
n393=  %crdtsw = $calc( ( $window(-1).w - 1024 ) / 2 )
n394=  %crdtsh = $calc( ( $window(-1).h - 768 ) / 2 )
n395=  set -u0 %crdtsw $round(%crdtsw,0)
n396=  set -u0 %crdtsh $round(%crdtsh,0)
n397=  drawpic -c @wingtz %crdtsw %crdtsh pics/hili1.jpg
n398=}
n399=wingtzc {
n400=  %crdtsw = $calc( ( $window(-1).w - 1024 ) / 2 )
n401=  %crdtsh = $calc( ( $window(-1).h - 768 ) / 2 )
n402=  set -u0 %crdtsw $round(%crdtsw,0)
n403=  set -u0 %crdtsh $round(%crdtsh,0)
n404=  drawpic -c @wingtz %crdtsw %crdtsh pics/hili2.jpg
n405=}
n406=wingtzd {
n407=  %crdtsw = $calc( ( $window(-1).w - 1024 ) / 2 )
n408=  %crdtsh = $calc( ( $window(-1).h - 768 ) / 2 )
n409=  set -u0 %crdtsw $round(%crdtsw,0)
n410=  set -u0 %crdtsh $round(%crdtsh,0)
n411=  drawpic -c @wingtz %crdtsw %crdtsh pics/hili3.jpg
n412=}
n413=wingtze {
n414=  %crdtsw = $calc( ( $window(-1).w - 1024 ) / 2 )
n415=  %crdtsh = $calc( ( $window(-1).h - 768 ) / 2 )
n416=  set -u0 %crdtsw $round(%crdtsw,0)
n417=  set -u0 %crdtsh $round(%crdtsh,0)
n418=  drawpic -c @wingtz %crdtsw %crdtsh pics/hili4.jpg
n419=}
n420=wingtzf {
n421=  %crdtsw = $calc( ( $window(-1).w - 1024 ) / 2 )
n422=  %crdtsh = $calc( ( $window(-1).h - 768 ) / 2 )
n423=  set -u0 %crdtsw $round(%crdtsw,0)
n424=  set -u0 %crdtsh $round(%crdtsh,0)
n425=  drawpic -c @wingtz %crdtsw %crdtsh pics/hili5.jpg
n426=}
n427=wingtzg {
n428=  %crdtsw = $calc( ( $window(-1).w - 1024 ) / 2 )
n429=  %crdtsh = $calc( ( $window(-1).h - 768 ) / 2 )
n430=  set -u0 %crdtsw $round(%crdtsw,0)
n431=  set -u0 %crdtsh $round(%crdtsh,0)
n432=  drawpic -c @wingtz %crdtsw %crdtsh pics/hili11.jpg
n433=}
n434=wingtzh {
n435=  %crdtsw = $calc( ( $window(-1).w - 1024 ) / 2 )
n436=  %crdtsh = $calc( ( $window(-1).h - 768 ) / 2 )
n437=  set -u0 %crdtsw $round(%crdtsw,0)
n438=  set -u0 %crdtsh $round(%crdtsh,0)
n439=  drawpic -c @wingtz %crdtsw %crdtsh pics/hili6.jpg
n440=  .timerCRDT7 -m 1 5 .window -c @wingtz
n441=  if (%ScripTWizard == 1) { dialog -m newUserwizard newUserwizard | set %ScripTWizard 2 }
n442=}
n443=mk {
n444=  if $dialog($1) = $null { dialog -m $1 $1 }
n445=}
n446=/baloon {
n447=  if ($1 == alert) { var %type = 1 }
n448=  elseif ($1 == error) { var %type = 2 }
n449=  elseif ($1 == info) { var %type = 3 }
n450=  else { var %type = 1 }
n451=  var %title = $gettok($3-,1,42)
n452=  var %message = $gettok($3-,2,42)
n453=  dll sys\Dlls\util.dll CreateTrayIcon ibal $+ $2 > 1,icons/baloon.ico > Baloon
n454=  dll sys\Dlls\util.dll Notify ibal $+ $2 %type > Narkoman's Script > %message
n455=  .timer 1 4 dll sys\Dlls\util.dll RemoveIcon ibal $+ $2
n456=}
n457=massinvite {
n458=  if ($server == $null) { scheck | /halt }
n459=  set %chan $$?="Канал? (пример: #%mirc% )"
n460=  set %massppl 1
n461=  :loop
n462=  if ($nick(#,%massppl) == chanserv) { inc %massppl | goto loop | halt }
n463=  if ($nick(#,%massppl) == $me) { inc %massppl | goto loop | halt }
n464=  else { .invite $nick(#,%massppl) %chan }
n465=  inc %massppl
n466=  if ($nick(#,%massppl) == $null) { unset %chan | unset %massppl }
n467=  else { goto loop }
n468=}
n469=aecho {
n470=  %unf.ae.n = $comchan($1,0) | :begin | if (%unf.ae.n == 0) { unset %unf.ae.n | halt }
n471=  echo $comchan($1,%unf.ae.n) $2- | dec %unf.ae.n | goto begin 
n472=}
n473=transtemp {
n474=  set %string $replacecs(%string,Q,Й,W,Ц,E,У,R,К,T,Е,Y,Н,U,Г,I,Ш,O,Щ,P,З,$chr(123),Х,$chr(125),Ъ)
n475=  set %string $replacecs(%string,A,Ф,S,Ы,D,В,F,А,G,П,H,Р,J,О,K,Л,L,Д,:,Ж,",Э)
n476=  set %string $replacecs(%string,Z,Я,X,Ч,C,С,V,М,B,И,N,Т,M,Ь,<,Б,>,Ю,~,Ё)
n477=  set %string $replacecs(%string,q,й,w,ц,e,у,r,к,t,е,y,н,u,г,i,ш,o,щ,p,з,[,х,],ъ)
n478=  set %string $replacecs(%string,a,ф,s,ы,d,в,f,а,g,п,h,р,j,о,k,л,l,д,;,ж,',э)
n479=  set %string $replacecs(%string,z,я,x,ч,c,с,v,м,b,и,n,т,m,ь,$chr(44),б,.,ю,`,ё)
n480=  set %string $replacecs(%string,/,.,?,$chr(44),&,?,^,:,@,",$,;,#,№)
n481=}
n482=chanlistins  {
n483=  var %mychanquant = $lines($mircdirtexts\ [ $+ [ $2 ] ] ) + 1 | :nextchan | dec %mychanquant 1 | if (%mychanquant <= 0) { return } | if ($read -l $+ %mychanquant $mircdirtexts\ [ $+ [ $2 ] ] == $null) { goto nextchan } 
n484=  if ($read -l $+ %mychanquant $mircdirtexts\ [ $+ [ $2 ] ] != $null) { did -i $3 $1 1 $read -l $+ %mychanquant $mircdirtexts\ [ $+ [ $2 ] ] | goto nextchan  }
n485=}
n486=translate {
n487=  set %string $strip($cb(1))
n488=  transtemp
n489=  echo 14 -a -Перевод-: %string
n490=  unset %string
n491=}
n492=/helpmodes {
n493=  echo -a %skinpref --- Помощь по модам пользователя сети DALnet(RU) --- %skinpref
n494=  echo -a Мод (+i) - Включает режим невидимки
n495=  echo -a Мод (+D) - Отключает все сообщения канала, они становятся невидимыми
n496=  echo -a Мод (+G) - Включает игноирование на пользователей, не находящихся на общих в вами каналах
n497=  echo -a Мод (+g) - Включает глобальный игнор (блокируются сообщения приватов, нотайсы, CTCP обращения и т.д.)
n498=  echo -a Мод (+R) - Означает что ваш ник является зарегистрированным и даёт доступ к дополнительным сервисам сети (NickServ, ChanServ, MemoServ)
n499=  echo -a Мод (+S) - Означает что вы подключены через безопасное SSL - подключение
n500=  echo -a Мод (+X) - Скрывает ваш хост
n501=  echo -a %skinpref --------------------------------------------------------------- %skinpref
n502=}
n503=zmsg {
n504=  .msg $active $1-
n505=  echo -a $timestamp  $+ %col_meramka $+ [ $+ 15 $+  $+ %col_menick $+ $me $+  $+ %col_meramka $+ ] $1- 
n506=  editbox -r $chan
n507=}
n508=notify {
n509=  notify $1-
n510=  .timer -m 1 100 colorize $active
n511=}
n512=ignore {
n513=  ignore $1-
n514=  .timer -m 1 100 colorize $active
n515=}
n516=s.cl {
n517=  if (%clclick == on) { /dll sys\Dlls\game_tools.dll splay %clicksnd }
n518=  if (%clclick == off) { /halt }
n519=}
n520=noticefromservice {
n521=  var %count = 1
n522=  :begin
n523=  if ($query(%count) == $null) goto show 
n524=  if ($query(%count) == $nick) goto show
n525=  inc %count
n526=  goto begin
n527=  :show
n528=  echo $color(notice) -at $nick - $1-
n529=  halt
n530=}
n531=nn.dotray {
n532=  stdll Delete 1
n533=  stdll DoTray nntray 1 > $iif($istok(XP 2003,$os,32),pics\phoenity.icl,pics\phoenity.icl)
n534=  item { menu AddItem $1 end $2- }
n535=}
n536=transdictest {
n537=  var %count = 0
n538=  var %tmp = $lower($strip($1-))
n539=  while (%count < $numtok(%transdic,32)) {
n540=    inc %count
n541=    if ($gettok(%transdic,%count,32) isin %tmp) return 1
n542=  }
n543=  return 0
n544=}
n545=setwaitnick {
n546=  /nick %wait.nick
n547=}
n548=address { 
n549=  if ($left($active,1 == $chr(35)) && $snick($active,1)) { 
n550=    if (%db == 1) { q $snick(#) | halt }
n551=    if (%db == 2) {
n552=      set %tmpstr %addr1 $+ $snick($active,1) $+ %addr2
n553=      if (%usecolors == 0) { set %tmpstr $strip(%tmpstr) }
n554=      set %tmpstr2 $editbox($active,0)
n555=      if ($poscs(%tmpstr2,,1) ) { set %tmpstr2 $right(%tmpstr2, - $+ $poscs(%tmpstr2,,1)) }
n556=      editbox -ap %tmpstr $+  $+ %tmpstr2
n557=      unset %tmpstr 
n558=      unset %tmpstr2
n559=    }
n560=    if (%db == 3) {
n561=      %snick = $snick($chan,1)
n562=      if (%snick isin $editbox($chan)) { editbox $chan | q $snick(#) | halt } 
n563=    else { if ($editbox($chan) != %addr1 %snick $+ %addr2 $+ $chr(32)) { editbox -ap %addr1 $+ $snick(#) $+ %addr2 $+ $chr(32) } } | %snick = $snick($chan,1) }
n564=
n565=  }
n566=  showmirc -s
n567=}
n568=
n569=; translate 
n570=tocyr {
n571=  set %decode.active $active 
n572=  set %decode.box1 $editbox($active) 
n573=  set %decode.kolslovbox $numtok(%decode.boxxx,32) 
n574=  set %decode.kolactive $nick(%decode.active,0) 
n575=  set %decode.kolslovbox1 $numtok(%decode.box1,32)
n576=  set %decode.slovvslovar $calc($count(%convert.exept,$chr(44)) + 1)
n577=  var %decode.aj 1 | while ( %decode.aj <= %decode.kolslovbox1 ) { | var %decode.aj1 1 | while ( %decode.aj1 <= %decode.slovvslovar ) { | if ( $gettok(%convert.exept,%decode.aj1,44) isin $gettok(%decode.box1,%decode.aj,32) ) { | set %decode.nomeraj %decode.aj | } | inc %decode.aj1 | }
n578=    var %decode.aj2 1 | while ( %decode.aj2 <= %decode.kolactive ) { | if ( $nick(%decode.active,%decode.aj2) isin $gettok(%decode.box1,%decode.aj,32) ) { | set %decode.nomeraj1 %decode.aj | } | inc %decode.aj2 | }
n579=    if ( ( %decode.nomeraj == $null ) && ( %decode.nomeraj1 == $null ) ) { if ( $regex($gettok(%decode.box1,%decode.aj,32),а|б|в|г|д|е|ё|ж|з|и|й|к|л|м|н|о|п|р|с|т|у|ф|х|ц|ч|ш|щ|ы|ъ|ь|э|ю|я|А|Б|В|Г|Д|Е|Ё|Ж|З|И|Й|К|Л|М|Н|О|П|Р|С|Т|У|Ф|Х|Ц|Ч|Ш|Щ|Ы|Ъ|Ь|Э|Ю|Я) == 1 ) { set %decode.texteditbox ru } }
n580=    unset %decode.nomeraj* | inc %decode.aj 
n581=  }
n582=  if ( %decode.texteditbox == ru ) {  
n583=    set %decode.kolslovbox1 $numtok(%decode.box1,32)
n584=    set %decode.slovvslovar $calc($count(%convert.exept,$chr(44)) + 1)
n585=    var %decode.aj 1 | while ( %decode.aj <= %decode.kolslovbox1 ) { | var %decode.aj1 1 | while ( %decode.aj1 <= %decode.slovvslovar ) { | if ( $gettok(%convert.exept,%decode.aj1,44) isin $gettok(%decode.box1,%decode.aj,32) ) { | set %decode.nomeraj %decode.aj | } | inc %decode.aj1 | }
n586=      var %decode.aj2 1 | while ( %decode.aj2 <= %decode.kolactive ) { | if ( $nick(%decode.active,%decode.aj2) isin $gettok(%decode.box1,%decode.aj,32) ) { | set %decode.nomeraj1 %decode.aj | } | inc %decode.aj2 | }
n587=      if ( ( %decode.nomeraj > 0 ) || ( %decode.nomeraj1 > 0 ) ) { set %decode.newbox1 %decode.newbox1 $+ $chr(32) $+ $gettok(%decode.box1,%decode.aj,32) }
n588=      else { 
n589=        set %decode.perevod $gettok(%decode.box1,%decode.aj,32)
n590=        set %decode.editbox $replacecs(%decode.perevod,.,/,?,&,:,^,б,$chr(44),й,q,ц,w,у,e,к,r,е,t,н,y,г,u,ш,i,щ,o,з,p,х,[,ъ,],ф,a,ы,s,в,d,а,f,п,g,р,h,о,j,л,k,д,l,ж,;,э,',я,z,ч,x,с,c,м,v,и,b,т,n,ь,m,ю,.,Й,Q,Ц,W,У,E,К,R,Е,T,Н,Y,Г,U,Ш,I,Щ,O,З,P,Ф,A,Ы,S,В,D,А,F,П,G,Р,H,О,J,Л,K,Д,L,Ж,:,Э,",Я,Z,Ч,X,С,C,М,V,И,B,Т,N,Ь,M,Б,<,Ю,>) 
n591=        set %decode.newbox1 %decode.newbox1 $+ $chr(32) $+ %decode.editbox
n592=      }
n593=      unset %decode.nomeraj* | inc %decode.aj 
n594=    }
n595=  }
n596=  else { 
n597=    set %decode.kolslovbox1 $numtok(%decode.box1,32)
n598=    set %decode.slovvslovar $calc($count(%convert.exept,$chr(44)) + 1)
n599=    var %decode.aj 1 | while ( %decode.aj <= %decode.kolslovbox1 ) { | var %decode.aj1 1 | while ( %decode.aj1 <= %decode.slovvslovar ) { | if ( $gettok(%convert.exept,%decode.aj1,44) isin $gettok(%decode.box1,%decode.aj,32) ) { | set %decode.nomeraj %decode.aj | } | inc %decode.aj1 | }
n600=      var %decode.aj2 1 | while ( %decode.aj2 <= %decode.kolactive ) { | if ( $nick(%decode.active,%decode.aj2) isin $gettok(%decode.box1,%decode.aj,32) ) { | set %decode.nomeraj1 %decode.aj | } | inc %decode.aj2 | }
n601=      if ( ( %decode.nomeraj > 0 ) || ( %decode.nomeraj1 > 0 ) ) { set %decode.newbox1 %decode.newbox1 $+ $chr(32) $+ $gettok(%decode.box1,%decode.aj,32) }
n602=      else { 
n603=        set %decode.perevod $gettok(%decode.box1,%decode.aj,32)
n604=        set %decode.editbox $replacecs(%decode.perevod,.,ю,$chr(44),б,q,й,w,ц,e,у,r,к,t,е,y,н,u,г,i,ш,o,щ, p,з,[,х,],ъ,a,ф,s,ы,d,в,f,а,g,п,h,р,j,о,k,л,l,д,;,ж,',э,z,я,x,ч,c,с,v,м,b,и,n,т,m,ь,.,ю,Q,Й,W,Ц,E,У,R,К,T,Е,Y,Н,U,Г,I,Ш,O,Щ,P,З,[,Х,A,Ф,S,Ы,D,В,F,А,G,П,H,Р,J,О,K,Л,L,Д,:,Ж,",Э,Z,Я,X,Ч,C,С,V,М,B,И,N,Т,<,Б,>,Ю,&,?,^,:,/,.,`,ё,$,;) 
n605=        set %decode.newbox1 %decode.newbox1 $+ $chr(32) $+ %decode.editbox
n606=      }
n607=      unset %decode.nomeraj* | inc %decode.aj 
n608=    }
n609=  }
n610=  editbox -a %decode.newbox1
n611=  unset %decode.*
n612=}
n613=translite {
n614=  set %translite $cb
n615=  set %translite $lower(%translite)
n616=  set %translite $replace(%translite,q,й,w,ц,e,у,r,к,t,е,y,н,u,г,i,ш,o,щ,p,з,$chr(91),х,$chr(93),ъ,a,ф,$chr(44),б,s,ы,d,в,f,а,g,п,h,р,j,о,?,$chr(44))
n617=  set %translite $replace(%translite,k,л,l,д,;,ж,',э,z,я,x,ч,c,с,v,м,b,и,n,т,m,ь,$chr(46),ю,/,$chr(46),$chr(96),ё,$chr(94),:,&,?,$,;,<,б,>,ю) 
n618=}
n619=floodigntime { did -i protectoptions $1 1 1 | did -i protectoptions $1 2 2 | did -i protectoptions $1 3 3 | did -i protectoptions $1 4 5 | did -i protectoptions $1 5 10 }
n620=floodtimes { var %i = 0 , %a = 11 | :next | dec %a | inc %i | if (%a < 1) { return } | did -i protectoptions $1 %i  %a | goto next }
n621=Tfloodtimes {
n622=  if ($1 == 44) { did -i protectoptions $1 1 5 | did -i protectoptions $1 2 10 | did -i protectoptions $1 3 15 | did -i protectoptions $1 4 20 } | if ($1 == 46) { did -i protectoptions $1 1 5 | did -i protectoptions $1 2 10 | did -i protectoptions $1 3 15 | did -i protectoptions $1 4 20 | did -i protectoptions $1 5 30 }
n623=  if ($1 == 49) { did -i protectoptions $1 1 1 | did -i protectoptions $1 2 2 | did -i protectoptions $1 3 3 | did -i protectoptions $1 4 5 } | if ($1 == 61) { var %wind = $lines($mircdirsys\txt\TflWarn.txt) + 1 | :nextline | dec %wind 1 | if (%wind <= 0) { return } | did -i protectoptions 61 1 $read -l $+ %wind $mircdirsys\txt\TflWarn.txt | goto nextline }
n624=}
n625=CflWarnIns { var %warnind = $lines($mircdirsys\txt\TflWarn.txt) + 1 | :nextline | dec %warnind 1 | if (%warnind <= 0) { return } | did -i protectoptions 28 1 $read -l $+ %warnind $mircdirsys\txt\TflWarn.txt | goto nextline }
n626=ctcpreplist { var %ctcpreplistlines = $lines($mircdirsys\txt\ [ $+ [ $2 ] ] ) , %ctcprepind = 0 | :nextctcp | inc %ctcprepind 1 | if (%ctcprepind  > %ctcpreplistlines) { return } | if ($read -l $+ %ctcprepind $mircdirsys\txt\ [ $+ [ $2 ] ] == $null) { goto nextctcp } | else { did -i generaloptions $1 1 $read -l $+ %ctcprepind $mircdirsys\txt\ [ $+ [ $2 ] ] | goto nextctcp } }
n627=CPrOFF {
n628=  if ($dialog(CflPrSwitch) == CflPrSwitch) { dialog -c CflPrSwitch }
n629=}
n630=ctcpVARlist {
n631=  if ($1 == version) { var %fname = version.txt | did -i outCRekv 13 0 %versrep }
n632=  elseif ($1 == ping) { var %fname = pings.txt | did -i outCRekv 13 0 %pingrep }
n633=  elseif ($1 == time) { var %fname = times.txt | did -i outCRekv 13 0 %timerep }
n634=  else { did -i outCRekv 13 0 Незнакомый CTCP-запрос ' $+ $1 $+ '! | return }
n635=  var %ctcplines = $lines($mircdirtexts\ [ $+ [ %fname ] ] ) 
n636=  var %ctcpind = 0 
n637=  :nextctcp 
n638=  inc %ctcpind 1 
n639=  if (%ctcpind  > %ctcplines) { return }
n640=  if ($read -l $+ %ctcpind $mircdirtexts\ [ $+ [ %fname ] ] == $null) { goto nextctcp } 
n641=  if ($read -l $+ %ctcpind $mircdirtexts\ [ $+ [ %fname ] ] != $null) { did -i outCRekv 13 1 $read -l $+ %ctcpind $mircdirtexts\ [ $+ [ %fname ] ] | goto nextctcp }
n642=}
n643=/help {
n644=  /helpscript
n645=}
n646=/startupmsg {
n647=  echo -s %skinpref 0,1Вы используете 0.9.1.0Nar9KoM14an's 0Scr9ipt1.9.0. 0 4.5 14на базе0 mIRC $version
n648=  echo -s %skinpref 0,1Создатель: 14,1_TRANE_
n649=  echo -s %skinpref 0,1Сайт 9,1Скрипта 13,1- 14,1http://www.ns-script.net.ru/ 
n650=  echo -s %skinpref 0,1E-mail 9,1скрипта 12,1- 14,1narkoo-master@mail.ru
n651=  echo -s %skinpref 0,1Се9,1го13,1дн9,1я 14,1 $date $+ , $time
n652=  echo -s %skinpref 0,1F1 13,1- 14,1Вызов 9,1помощи
n653=  echo -s %skinpref 0,1Количество 13,1запусков 9,1-14,1 %ScripTRunNum                 
n654=  echo -s %skinpref 0,1Ваш 9,1ник:14,1 $me           
n655=  echo -s 4* 4,0Если Narkoman's Script работает нестабильно наберите /repair  !
n656=  echo -s 4* 0,1Для вызова панели "Настройка ников" нажмите Ctrl+F8 
n657=  echo -s 4* 0,1Вы можете изменить музыку при вкл скрипта для этого нажмите Ctrl+F10 
n658=}
n659=masskickban {
n660=  if ($me !isop #) { echo %nmsc Ты не оператор на канале # $+ }
n661=  else {
n662=    echo Произвожу массовый кик на канале # $+1
n663=    set %mskick 1
n664=    :next
n665=    set %nick $nick(#,%mskick)
n666=    if (%nick == $null) goto done
n667=    if (%nick != $me) { kick # %nick 13(Вы были убиты 14† 4,0† сдохни сука †14  (by $nick )  9p.s. Ты в списке уебанов...) }
n668=    inc %mskick
n669=    goto next
n670=    :done
n671=  }
n672=}
n673=/settitle { 
n674=  if %script.title == $null { //set %script.title Narkoman's Script 4.5 }
n675=  /dll sys\Dlls\mircustom.dll Titlebar -m $replace(%script.title,<VERSION>,%script.version,<NETWORK>,$get.network,<UPTIME>,$get.uptime,<IDLE>,$get.idle,<AWAY>,$get.away,<WINAMP>,$get.winamp,<NICK>,$get.nick,<DATE>,$asctime(dd.mm.yyyy),<TIME>,$asctime(HH:nn:ss),<SERVER>,$get.server)
n676=}
n677=/foneclear {
n678=  background -xs
n679=  var %sc 0
n680=  while (%sc < $chan(0)) {
n681=    inc %sc
n682=    background -xe $chan(%sc)
n683=  }
n684=  var %sc 0
n685=  while (%sc < $query(0)) {
n686=    inc %sc
n687=    background -xe $query(%sc)
n688=  }
n689=}
n690=/newfone1 { 
n691=  var %sc 0
n692=  while (%sc < $chan(0)) {
n693=    inc %sc
n694=    /background -ef $chan(%sc) %fone.chan 
n695=  }
n696=  if ($chan(0) == 0) {
n697=    writeini -n mirc.ini background wchannel %fone.chan.w
n698=  }
n699=  var %sc 0
n700=  while (%sc < $query(0)) {
n701=    inc %sc
n702=    /background -ef $query(%sc) %fone.query
n703=  }
n704=  if ($query(0) == 0) {
n705=    writeini -n mirc.ini background wquery %fone.query.w
n706=  }
n707=}
n708=/newfone2 { 
n709=  var %sc 0
n710=  while (%sc < $chan(0)) {
n711=    inc %sc
n712=    /background -ec $chan(%sc) %fone.chan 
n713=  }
n714=  if ($chan(0) == 0) {
n715=    writeini -n mirc.ini background wchannel %fone.chan.w
n716=  }
n717=}
n718=/newfone3 { 
n719=  var %sc 0
n720=  while (%sc < $chan(0)) {
n721=    inc %sc
n722=    /background -ec $chan(%sc) %fone.chan 
n723=  }
n724=  if ($chan(0) == 0) {
n725=    writeini -n mirc.ini background wchannel %fone.chan.w
n726=  }
n727=  var %sc 0
n728=  while (%sc < $query(0)) {
n729=    inc %sc
n730=    /background -ec $query(%sc) %fone.query
n731=  }
n732=  if ($query(0) == 0) {
n733=    writeini -n mirc.ini background wquery %fone.query.w
n734=  }
n735=}
n736=skinLoadFromMenu {
n737=  if ($me) { 
n738=    %skin_file_name = $findfile($mircdirImg,*.ini,%skinnumb)
n739=    .play -c $me $shortfn(%skin_file_name) 0 | .timestamp -f %stamp.style
n740=    if $window(@waci) { waci }
n741=  }
n742=}
n743=sdt {
n744=  if ($did($did).state) { set % $+ $1 1 }
n745=  else { unset % $+ $1 }
n746=}
n747=SkinName { if ($remove($nopath($findfile($mircdirImg,*.ini,$1)),.skn) != $null) { return $remove($nopath($findfile($mircdirImg,*.ini,$1)),.ini) } }
n748=/F1 %button.f1
n749=/F2 %button.f2
n750=/F3 %button.f3
n751=/F4 %button.f4
n752=/F5 %button.f5
n753=/F6 %button.f6
n754=/F7 %button.f7
n755=/F8 %button.f8
n756=/F9 %button.f9
n757=/F10 %button.f10
n758=/F11 %button.f11
n759=/F12 %button.f12
n760=/sF1 %button.sf1
n761=/sF2 %button.sf2
n762=/sF3 %button.sf3
n763=/sF4 %button.sf4
n764=/sF5 %button.sf5
n765=/sF6 %button.sf6
n766=/sF7 %button.sf7
n767=/sF8 %button.sf8
n768=/sF9 %button.sf9
n769=/sF10 %button.sf10
n770=/sF11 %button.sf11
n771=/sF12 %button.sf12
n772=/cF1 %button.cf1
n773=/cF2 %button.cf2
n774=/cF3 %button.cf3
n775=/cF5 %button.cf5
n776=/cF7 %button.cf7
n777=/cF8 %button.cf8
n778=/cF9 %button.cf9
n779=/cF10 %button.cf10
n780=/cF11 %button.cf11
n781=/cF12 %button.cf12
n782=kickmsg.edit {
n783=  did -oc settings 2333 $did(settings,2333).sel $$eddialog(Enter the changed kick message!,$did(settings,2333).seltext)
n784=  savebuf -o $dname 2333 Sys\txt\kickmsg.txt
n785=  prevbmp settings 2335 344 kick 2 $did(settings,2333).seltext
n786=}
n787=
n788=kc { if (%kickcounter) { return $nbr($calc(%stat.kickcount +1)) } }
n789=kick.msg {
n790=  if ($read(sys\txt\kickmsg.txt,n)) { return $v1 }
n791=  else { return Don't annoy me }
n792=}
n793=;ЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇ
n794=;;;;;;;;;;;;;;; >>>>>>>> Narkoman's Script ver.: 4.5   All Rights Reserved. Copyright Narkoman's™ 2006 - 2009  <<<<<<<<<< ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
n795=;;;;;;;;;;;;;;; >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>> создатель - _TRANE_ <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<< ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
n796=;;;;;;;;;;;;;;; >>>>>>>>>>>>> Об ошибках пишите на: narkoo-master@mail.ru или narkoo-master@maxalina.net <<<<<<<<<<<< ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;; 
n797=;;;;;;;;;;;;;;; >>>>>>>>>>>>>>>>>>>>> Официальный сайт скрипта: http://www.ns-script.net.ru/  <<<<<<<<<<<<<<<<<<<<<<<<<<<< ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
n798=;ЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇЇ
